// 음성으로 제어하기, 음성을 문자로 받아 그것을 합하여 문장을 저장
// 단어나 문장으로 제어, 동시에 키를 눌러 이중으로 제어 가능

#include<SoftwareSerial.h>
#define rxpin 2 // 아두이노2번에 블루투스 txd
#define txpin 3 // 아두이노3번-블루투스 rxd

SoftwareSerial mySerial(rxpin, txpin); // 함수사용. 상황에 따라 블르투스 BT..  Sw.... 등
String myString=""; //받는 문자열
char val;

void setup() {
  mySerial.begin(9600); // 외부로 전송하기 위한 선언
  Serial.begin(9600);    // 시리얼 모니터와 연결하여 확인하기 위함.
  Serial.println("Start Input  "); // 시리얼 모니터에 기록되는 내용

  pinMode(8, OUTPUT); // 출력 선언
  pinMode(9, OUTPUT);
  pinMode(10, OUTPUT);
  pinMode(11, OUTPUT);
  pinMode(12, OUTPUT);
}

void loop() {
  while(mySerial.available())  //mySerial에 전송된 값이 있으면
  {
    char myChar = (char)mySerial.read();  //mySerial int 값을 char 형식으로 변환
    myString+=myChar;   //수신되는 문자를 myString에 모두 붙임 (1바이트씩 전송되는 것을 연결)
    delay(5);           //수신 문자열 끊김 방지
  }
  if(!myString.equals(""))  //myString 값이 있다면
  {
    Serial.println("Your Command is "+myString); //시리얼모니터에 myString값 출력

    if((myString =="전북")||(myString =="A"))   
    {
      digitalWrite(8,HIGH);
    }
    else if((myString =="전북꺼")||(myString =="B")||(myString =="전북 꺼"))        
    {
      digitalWrite(8,0);
    }
   else if((myString =="하이텍")||(myString =="C"))      
   {
      digitalWrite(9,1);
    }
    else if((myString =="하이꺼")||(myString =="D")||(myString =="하이 꺼 꺼"))        
    {
      digitalWrite(9,0);
    } 
   else if((myString =="대박")||(myString =="C"))      
   {
      digitalWrite(10,1);
    }
    else if((myString =="대박꺼")||(myString =="D")||(myString =="대박 꺼"))        
    {
      digitalWrite(10,0);
    }
    else if((myString =="전기")||(myString =="E"))      
    {
      digitalWrite(11,1);
    }
    else if((myString =="전기꺼")||(myString =="F")||(myString =="전기 꺼"))          
    {
      digitalWrite(11,0);
    }
    else if((myString =="기계")||(myString =="G"))       
    {
      digitalWrite(12,1);
    }
    else if((myString =="기계꺼")||(myString =="H")||(myString =="기계 꺼"))        
    {
      digitalWrite(12,0);
    }
    else if(myString =="전체")     
    {
      digitalWrite(8,1);
      digitalWrite(9,1);
      digitalWrite(10,1);
      digitalWrite(11,1);
      digitalWrite(12,1);
    }
    else if(myString =="전체 꺼")        
    {
      digitalWrite(8,0);
      digitalWrite(9,0);
      digitalWrite(10,0);
      digitalWrite(11,0);
      digitalWrite(12,0);
    }
    
    myString="";  //myString 변수값 초기화
  }
}
